For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • POSTCreate Task Comment
      • POSTLike Comment
      • DELUnlike Comment
      • DELRemove Comment
      • GETRetrieve Task Comments
      • POSTCreate Task Comments
LogoLogo
SupportContact salesStart free trial
API ReferenceDiscussion

Retrieve Task Comments

Deprecated
GET
https://api.projectmanager.com/api/data/tasks/:taskId/discussions
GET
/api/data/tasks/:taskId/discussions
$curl https://api.projectmanager.com/api/data/tasks/taskId/discussions \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "text": "string",
17 "authorId": "string",
18 "authorName": "string",
19 "createDate": "2024-01-15T09:30:00Z",
20 "modifyDate": "2024-01-15T09:30:00Z",
21 "emoji": [
22 {
23 "name": "string",
24 "userIds": [
25 "string"
26 ]
27 }
28 ],
29 "files": [
30 {
31 "id": "string",
32 "name": "string",
33 "url": "string"
34 }
35 ],
36 "discussionCommentId": "string"
37 }
38 ]
39}
Retrieve all comments written about a task
Was this page helpful?
Previous

Create Task Comments

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The unique ID number of the task to retrieve comments

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.